From 3d14b164bde57cb2ad0a0596cfdc2975c3ae50c6 Mon Sep 17 00:00:00 2001
From: Pierre Habouzit <madcoder@debian.org>
Date: Fri, 15 Aug 2008 15:59:10 +0200
Subject: [PATCH 3/5] Be silent if there is nothing to patch.

Signed-off-by: Pierre Habouzit <madcoder@debian.org>
---
 nsd-patch.c |    1 -
 nsdc.sh.in  |    2 --
 2 files changed, 0 insertions(+), 3 deletions(-)

--- a/nsd-patch.c
+++ b/nsd-patch.c
@@ -352,7 +352,6 @@ int main(int argc, char* argv[])
 
 	/* see if necessary */
 	if(!exist_difffile(options)) {
-		fprintf(stderr, "No diff file.\n");
 		if (!force_write)
 			exit(0);
 	}
--- a/nsdc.sh.in
+++ b/nsdc.sh.in
@@ -380,8 +380,6 @@ patch)
 			echo "`basename $0`: patch failed."
 			exit 1
 		fi
-	else
-		echo "`basename $0`: no patch necessary."
 	fi
         ;;
 rebuild)
